%define		_state		stable
%define		orgname		ksquares
%define		qtver		4.8.0

Summary:	Ksquares
Name:		kde4-%{orgname}
Version:	4.14.3
Release:	2
License:	GPL
Group:		X11/Applications/Games
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	a6471674384cc934a36e59424f14064f
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-libkdegames-devel >= %{version}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
Obsoletes:	kde4-kdegames-%{orgname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ksquares.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

install -d $RPM_BUILD_ROOT/var/games
# remove locolor icons
rm -rf $RPM_BUILD_ROOT%{_iconsdir}/locolor

%find_lang %{orgname}	--with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ksquares
%{_desktopdir}/kde4/ksquares.desktop
%{_datadir}/config.kcfg/ksquares.kcfg
%{_datadir}/apps/ksquares
%{_iconsdir}/*/*/apps/ksquares.png
%changelog
* Wed Oct 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-ksquares.git;a=log;h=master

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> a651106
- rebuild for g++ ABI changes
- release 2 (by relup.sh)

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 2d37188
- updated to 4.14.3 (by update-kde4.sh)

* Mon Aug 25 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c992e75
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 468b753
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 67f217c
- updated to 4.13.1 (by update-kde4.sh)

* Sun May 11 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 1660f61
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 656192d
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 47e8a58
- updated to 4.12.3 (by update-kde4.sh)

* Wed Feb 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 71806ec
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 88ce96f
- updated to 4.12.1 (by update-kde4.sh)

* Wed Dec 25 2013 Witold Filipczyk <witekfl@poczta.onet.pl> ae1eaf7
- new, based on kde4-kdegames

